Bug 549482 - SSSDConfig API schema is missing debug_timestamps
SSSDConfig API schema is missing debug_timestamps
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-21 14:29 EST by Stephen Gallagher
Modified: 2010-01-05 18:01 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.0.0-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-05 18:01:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2009-12-21 14:29:09 EST
Description of problem:
The "debug_timestamps" option for SSSD is missing from the schema for domains.

Any domain using this option cannot be edited by applications using the SSSDConfig API (such as authconfig)

Version-Release number of selected component (if applicable):
sssd-1.0.0-0.fc12.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Edit /etc/sssd/sssd.conf and add
debug_timestamps = true
to a domain. Save the file.
2. Start authconfig-gtk from the command line as root
3. Attempt to "Edit" the domain above. You should see a python backtrace claiming that debug_timestamps was not found in the schema.
  
Actual results:
The SSSDConfig API cannot operate on this domain.

Expected results:
The API should recognize this as a valid option and allow editing.

Additional info:
This manifests itself as an authconfig bug, but it is actually SSSDConfig
Comment 1 Stephen Gallagher 2009-12-21 15:59:12 EST
Fix committed to CVS.
Comment 2 Fedora Update System 2009-12-21 16:05:21 EST
sssd-1.0.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/sssd-1.0.0-2.fc12
Comment 3 Fedora Update System 2009-12-22 14:54:24 EST
sssd-1.0.0-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sssd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13537
Comment 4 Fedora Update System 2010-01-05 18:00:57 EST
sssd-1.0.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.